# Get document

`GET /v1/attachments/{id}`

**Scopes:** any of `documents:read`, `read:ledger`

## Request

```bash
curl https://api.numina.app/v1/attachments/550e8400-e29b-41d4-a716-446655440000 \
  -H "Authorization: Bearer numi_YOUR_API_KEY"
```

## Path parameters

- `id` (string (uuid), required): Attachment id: `id` from GET /v1/attachments, or attachment_id from GET /v1/ledger-entries

## Response `200`

The document

```json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "file_name": "string",
  "status": "uploaded",
  "created_at": "string",
  "attachment_number": 185,
  "year": "2026",
  "is_empty": false,
  "file_count": 0,
  "booked_accounting_year": "2026",
  "content_sha256": "string",
  "journal_entry_ids": [
    "550e8400-e29b-41d4-a716-446655440000"
  ]
}
```

## Errors

- `401` Unauthorized - Invalid or missing authentication
- `403` Forbidden - Missing scope, or the company is archived
- `404` Not Found - The resource does not exist in this company
- `429` Too Many Requests - Rate limit exceeded
- `500` Internal Server Error

See https://developers.numina.app/errors.md for the error format.
